apiVersion: v1
items:
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.mongodb.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress: []
    file: []
    ingress: []
    process:
    - action: allow
      allow_update: false
      name: mongo
      path: '*'
    - action: allow
      allow_update: false
      name: mongo
      path: /usr/bin/mongo
    - action: allow
      allow_update: false
      name: mongod
      path: /usr/bin/mongod
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: mongodb.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.mongodb.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.order-service.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress:
    - action: allow
      applications:
      - RabbitMQ
      name: nv.rabbitmq.pets-egress-0
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: rabbitmq.pets
        - key: domain
          op: =
          value: pets
        name: nv.rabbitmq.pets
        original_name: ""
    - action: allow
      applications:
      - DNS
      name: nv.kube-dns.kube-system-egress-1
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: domain
          op: =
          value: kube-system
        - key: service
          op: =
          value: kube-dns.kube-system
        name: nv.kube-dns.kube-system
        original_name: ""
    - action: allow
      applications:
      - SSL
      name: external-egress-2
      ports: any
      priority: 0
      selector:
        comment: ""
        name: external
        original_name: ""
    file: []
    ingress:
    - action: allow
      applications:
      - HTTP
      name: nv.order-service.pets-ingress-0
      ports: any
      priority: 0
      selector:
        comment: ""
        name: Workload:ingress
        original_name: ""
    - action: allow
      applications:
      - HTTP
      name: nv.order-service.pets-ingress-1
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: virtual-customer.pets
        - key: domain
          op: =
          value: pets
        name: nv.virtual-customer.pets
        original_name: ""
    - action: allow
      applications:
      - HTTP
      name: nv.order-service.pets-ingress-2
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: store-front.pets
        - key: domain
          op: =
          value: pets
        name: nv.store-front.pets
        original_name: ""
    process:
    - action: allow
      allow_update: false
      name: fastify
      path: /bin/busybox
    - action: allow
      allow_update: false
      name: node
      path: /usr/local/bin/node
    - action: allow
      allow_update: false
      name: npm
      path: /usr/local/bin/node
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    - action: allow
      allow_update: false
      name: sh
      path: /bin/busybox
    - action: allow
      allow_update: false
      name: sh
      path: /bin/sh
    - action: allow
      allow_update: false
      name: sleep
      path: /bin/sleep
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: order-service.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.order-service.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.product-service.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress:
    - action: allow
      applications:
      - DNS
      name: nv.kube-dns.kube-system-egress-3
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: domain
          op: =
          value: kube-system
        - key: service
          op: =
          value: kube-dns.kube-system
        name: nv.kube-dns.kube-system
        original_name: ""
    file: []
    ingress:
    - action: allow
      applications:
      - HTTP
      name: nv.product-service.pets-ingress-3
      ports: any
      priority: 0
      selector:
        comment: ""
        name: Workload:ingress
        original_name: ""
    - action: allow
      applications:
      - HTTP
      name: nv.product-service.pets-ingress-4
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: store-admin.pets
        - key: domain
          op: =
          value: pets
        name: nv.store-admin.pets
        original_name: ""
    - action: allow
      applications:
      - HTTP
      name: nv.product-service.pets-ingress-5
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: store-front.pets
        - key: domain
          op: =
          value: pets
        name: nv.store-front.pets
        original_name: ""
    process:
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    - action: allow
      allow_update: false
      name: product-service
      path: /app/product-service
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: product-service.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.product-service.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.rabbitmq.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress: []
    file: []
    ingress:
    - action: allow
      applications:
      - RabbitMQ
      name: nv.rabbitmq.pets-ingress-6
      ports: any
      priority: 0
      selector:
        comment: ""
        name: Workload:ingress
        original_name: ""
    process:
    - action: allow
      allow_update: false
      name: bash
      path: /usr/bin/bash
    - action: allow
      allow_update: false
      name: beam.smp
      path: /usr/lib/erlang/*/beam.smp
    - action: allow
      allow_update: false
      name: cpu_sup
      path: /usr/lib/erlang/lib/os_mon-2.9.1/priv/bin/cpu_sup
    - action: allow
      allow_update: false
      name: df
      path: /usr/bin/df
    - action: allow
      allow_update: false
      name: epmd
      path: /usr/lib/erlang/*/epmd
    - action: allow
      allow_update: false
      name: erl_child_setup
      path: /usr/lib/erlang/*/erl_child_setup
    - action: allow
      allow_update: false
      name: inet_gethost
      path: /usr/lib/erlang/*/inet_gethost
    - action: allow
      allow_update: false
      name: inet_gethost
      path: /usr/lib/erlang/erts-14.2.5.14/bin/inet_gethost
    - action: allow
      allow_update: false
      name: memsup
      path: /usr/lib/erlang/lib/os_mon-2.9.1/priv/bin/memsup
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    - action: allow
      allow_update: false
      name: sh
      path: /usr/bin/bash
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: rabbitmq.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.rabbitmq.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.store-admin.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress:
    - action: allow
      applications:
      - DNS
      name: nv.kube-dns.kube-system-egress-4
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: domain
          op: =
          value: kube-system
        - key: service
          op: =
          value: kube-dns.kube-system
        name: nv.kube-dns.kube-system
        original_name: ""
    file: []
    ingress:
    - action: allow
      applications:
      - HTTP
      - MSSQL
      - Wordpress
      name: nv.store-admin.pets-ingress-7
      ports: any
      priority: 0
      selector:
        comment: ""
        name: Workload:ingress
        original_name: ""
    - action: allow
      applications:
      - HTTP
      - MSSQL
      - Wordpress
      name: nv.store-admin.pets-ingress-8
      ports: any
      priority: 0
      selector:
        comment: ""
        name: nodes
        original_name: ""
    - action: allow
      applications:
      - HTTP
      name: nv.store-admin.pets-ingress-9
      ports: any
      priority: 0
      selector:
        comment: ""
        name: external
        original_name: ""
    process:
    - action: allow
      allow_update: false
      name: nginx
      path: /usr/sbin/nginx
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: store-admin.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.store-admin.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.store-front.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress:
    - action: allow
      applications:
      - DNS
      name: nv.kube-dns.kube-system-egress-5
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: domain
          op: =
          value: kube-system
        - key: service
          op: =
          value: kube-dns.kube-system
        name: nv.kube-dns.kube-system
        original_name: ""
    file: []
    ingress:
    - action: allow
      applications:
      - HTTP
      - MSSQL
      - Wordpress
      name: nv.store-front.pets-ingress-10
      ports: any
      priority: 0
      selector:
        comment: ""
        name: Workload:ingress
        original_name: ""
    - action: allow
      applications:
      - HTTP
      - MSSQL
      - Wordpress
      name: nv.store-front.pets-ingress-11
      ports: any
      priority: 0
      selector:
        comment: ""
        name: nodes
        original_name: ""
    - action: allow
      applications:
      - HTTP
      name: nv.store-front.pets-ingress-12
      ports: any
      priority: 0
      selector:
        comment: ""
        name: external
        original_name: ""
    process:
    - action: allow
      allow_update: false
      name: nginx
      path: /usr/sbin/nginx
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: store-front.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.store-front.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.virtual-customer.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress:
    - action: allow
      applications:
      - DNS
      name: nv.kube-dns.kube-system-egress-6
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: domain
          op: =
          value: kube-system
        - key: service
          op: =
          value: kube-dns.kube-system
        name: nv.kube-dns.kube-system
        original_name: ""
    file: []
    ingress: []
    process:
    - action: allow
      allow_update: false
      name: cat
      path: '*'
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    - action: allow
      allow_update: false
      name: virtual-customer
      path: /app/virtual-customer
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: virtual-customer.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.virtual-customer.pets
        original_name: ""
    waf:
      settings: []
      status: true
- apiVersion: neuvector.com/v1
  kind: NvSecurityRule
  metadata:
    creationTimestamp: null
    name: nv.virtual-worker.pets
    namespace: pets
  spec:
    dlp:
      settings: []
      status: true
    egress:
    - action: allow
      applications:
      - DNS
      name: nv.kube-dns.kube-system-egress-7
      ports: any
      priority: 0
      selector:
        comment: ""
        criteria:
        - key: domain
          op: =
          value: kube-system
        - key: service
          op: =
          value: kube-dns.kube-system
        name: nv.kube-dns.kube-system
        original_name: ""
    file: []
    ingress: []
    process:
    - action: allow
      allow_update: false
      name: cat
      path: '*'
    - action: allow
      allow_update: false
      name: pause
      path: /pause
    - action: allow
      allow_update: false
      name: virtual-worker
      path: /app/virtual-worker
    process_profile:
      baseline: basic
      mode: Monitor
    response: null
    target:
      policymode: Monitor
      selector:
        comment: ""
        criteria:
        - key: service
          op: =
          value: virtual-worker.pets
        - key: domain
          op: =
          value: pets
        grp_band_width: 0
        grp_sess_cur: 0
        grp_sess_rate: 0
        mon_metric: false
        name: nv.virtual-worker.pets
        original_name: ""
    waf:
      settings: []
      status: true
kind: List
metadata: {}
